scim::PanelFactoryInfo Struct Reference
Panel

Structure to hold factory information. It's used by PanelAgent and PanelClient classes. More...

`#include <scim_panel_common.h>`

## Public Member Functions

| PanelFactoryInfo ()
| PanelFactoryInfo (const String &u, const String &n, const String &l, const String &i)

## Public Attributes

String | uuid
String | name
String | lang
String | icon

## Detailed Description

Structure to hold factory information. It's used by PanelAgent and PanelClient classes.

## Constructor & Destructor Documentation

## PanelFactoryInfo() [1/2]

scim::PanelFactoryInfo::PanelFactoryInfo | ( |  | ) |

inline

## PanelFactoryInfo() [2/2]

scim::PanelFactoryInfo::PanelFactoryInfo | ( | const String & | u,
|  | const String & | n,
|  | const String & | l,
|  | const String & | i )

inline

References icon, lang, name, and uuid.

## Member Data Documentation

## uuid

String scim::PanelFactoryInfo::uuid

Referenced by PanelFactoryInfo().

## name

String scim::PanelFactoryInfo::name

Referenced by PanelFactoryInfo().

## lang

String scim::PanelFactoryInfo::lang

Referenced by PanelFactoryInfo().

## icon

String scim::PanelFactoryInfo::icon

Referenced by PanelFactoryInfo().

The documentation for this struct was generated from the following file:

- scim_panel_common.h